if not exists (select top 1 1 from sys.objects where name = 'UserRoleAuthorization' and type = 'U')
begin
	create table UserRoleAuthorization
	(
		UserRoleId int not null,
		PermissionId int not null constraint FK_UserRoleAuthorization_Permission foreign key references Permission(PermissionId),
		Active bit not null,
		constraint PK_UserRoleAuthorization primary key (PermissionId, UserRoleId)
	)
end